# CMAKE generated file: DO NOT EDIT!
# Generated by "Ninja" Generator, CMake Version 3.21

# This file contains all the build statements describing the
# compilation DAG.

# =============================================================================
# Write statements declared in CMakeLists.txt:
# 
# Which is the root file.
# =============================================================================

# =============================================================================
# Project: IRIS_FODIS
# Configurations: Debug
# =============================================================================

#############################################
# Minimal version of Ninja required by this file

ninja_required_version = 1.5


#############################################
# Set configuration variable for custom commands.

CONFIGURATION = Debug
# =============================================================================
# Include auxiliary files.


#############################################
# Include rules file.

include CMakeFiles\rules.ninja

# =============================================================================

#############################################
# Logical path to working directory; prefix for absolute paths.

cmake_ninja_workdir = E$:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\out\build\x64-Debug\
# =============================================================================
# Object build statements for EXECUTABLE target IRIS_FODIS


#############################################
# Order-only phony target for IRIS_FODIS

build cmake_object_order_depends_target_IRIS_FODIS: phony || IRIS_FODIS_autogen

build CMakeFiles\IRIS_FODIS.dir\IRIS_FODIS_autogen\mocs_compilation.cpp.obj: CXX_COMPILER__IRIS_FODIS_Debug E$:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\out\build\x64-Debug\IRIS_FODIS_autogen\mocs_compilation.cpp || cmake_object_order_depends_target_IRIS_FODIS
  DEFINES = -DQT_CORE_LIB -DQT_SERIALPORT_LIB
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Zi /Ob0 /Od /RTC1 -std:c++14
  INCLUDES = -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\out\build\x64-Debug\IRIS_FODIS_autogen\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\FS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\OSIF\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\ZZ_SDK -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Settings -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\GPS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Logger -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Capture -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Calibration -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtCore -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\.\mkspecs\win32-msvc -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtSerialPort
  OBJECT_DIR = CMakeFiles\IRIS_FODIS.dir
  OBJECT_FILE_DIR = CMakeFiles\IRIS_FODIS.dir\IRIS_FODIS_autogen
  TARGET_COMPILE_PDB = CMakeFiles\IRIS_FODIS.dir\
  TARGET_PDB = IRIS_FODIS.pdb

build CMakeFiles\IRIS_FODIS.dir\main.cpp.obj: CXX_COMPILER__IRIS_FODIS_Debug E$:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\main.cpp || cmake_object_order_depends_target_IRIS_FODIS
  DEFINES = -DQT_CORE_LIB -DQT_SERIALPORT_LIB
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Zi /Ob0 /Od /RTC1 -std:c++14
  INCLUDES = -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\out\build\x64-Debug\IRIS_FODIS_autogen\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\FS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\OSIF\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\ZZ_SDK -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Settings -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\GPS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Logger -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Capture -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Calibration -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtCore -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\.\mkspecs\win32-msvc -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtSerialPort
  OBJECT_DIR = CMakeFiles\IRIS_FODIS.dir
  OBJECT_FILE_DIR = CMakeFiles\IRIS_FODIS.dir
  TARGET_COMPILE_PDB = CMakeFiles\IRIS_FODIS.dir\
  TARGET_PDB = IRIS_FODIS.pdb

build CMakeFiles\IRIS_FODIS.dir\Source\Calibration\MakeDarkCurrentTable.cpp.obj: CXX_COMPILER__IRIS_FODIS_Debug E$:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Calibration\MakeDarkCurrentTable.cpp || cmake_object_order_depends_target_IRIS_FODIS
  DEFINES = -DQT_CORE_LIB -DQT_SERIALPORT_LIB
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Zi /Ob0 /Od /RTC1 -std:c++14
  INCLUDES = -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\out\build\x64-Debug\IRIS_FODIS_autogen\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\FS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\OSIF\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\ZZ_SDK -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Settings -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\GPS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Logger -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Capture -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Calibration -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtCore -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\.\mkspecs\win32-msvc -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtSerialPort
  OBJECT_DIR = CMakeFiles\IRIS_FODIS.dir
  OBJECT_FILE_DIR = CMakeFiles\IRIS_FODIS.dir\Source\Calibration
  TARGET_COMPILE_PDB = CMakeFiles\IRIS_FODIS.dir\
  TARGET_PDB = IRIS_FODIS.pdb

build CMakeFiles\IRIS_FODIS.dir\Source\Capture\AbsFSController.cpp.obj: CXX_COMPILER__IRIS_FODIS_Debug E$:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Capture\AbsFSController.cpp || cmake_object_order_depends_target_IRIS_FODIS
  DEFINES = -DQT_CORE_LIB -DQT_SERIALPORT_LIB
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Zi /Ob0 /Od /RTC1 -std:c++14
  INCLUDES = -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\out\build\x64-Debug\IRIS_FODIS_autogen\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\FS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\OSIF\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\ZZ_SDK -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Settings -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\GPS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Logger -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Capture -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Calibration -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtCore -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\.\mkspecs\win32-msvc -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtSerialPort
  OBJECT_DIR = CMakeFiles\IRIS_FODIS.dir
  OBJECT_FILE_DIR = CMakeFiles\IRIS_FODIS.dir\Source\Capture
  TARGET_COMPILE_PDB = CMakeFiles\IRIS_FODIS.dir\
  TARGET_PDB = IRIS_FODIS.pdb

build CMakeFiles\IRIS_FODIS.dir\Source\Capture\MainGrabber.cpp.obj: CXX_COMPILER__IRIS_FODIS_Debug E$:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Capture\MainGrabber.cpp || cmake_object_order_depends_target_IRIS_FODIS
  DEFINES = -DQT_CORE_LIB -DQT_SERIALPORT_LIB
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Zi /Ob0 /Od /RTC1 -std:c++14
  INCLUDES = -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\out\build\x64-Debug\IRIS_FODIS_autogen\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\FS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\OSIF\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\ZZ_SDK -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Settings -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\GPS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Logger -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Capture -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Calibration -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtCore -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\.\mkspecs\win32-msvc -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtSerialPort
  OBJECT_DIR = CMakeFiles\IRIS_FODIS.dir
  OBJECT_FILE_DIR = CMakeFiles\IRIS_FODIS.dir\Source\Capture
  TARGET_COMPILE_PDB = CMakeFiles\IRIS_FODIS.dir\
  TARGET_PDB = IRIS_FODIS.pdb

build CMakeFiles\IRIS_FODIS.dir\Source\FS\ATPControl_Serial_QT.cpp.obj: CXX_COMPILER__IRIS_FODIS_Debug E$:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\FS\ATPControl_Serial_QT.cpp || cmake_object_order_depends_target_IRIS_FODIS
  DEFINES = -DQT_CORE_LIB -DQT_SERIALPORT_LIB
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Zi /Ob0 /Od /RTC1 -std:c++14
  INCLUDES = -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\out\build\x64-Debug\IRIS_FODIS_autogen\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\FS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\OSIF\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\ZZ_SDK -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Settings -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\GPS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Logger -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Capture -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Calibration -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtCore -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\.\mkspecs\win32-msvc -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtSerialPort
  OBJECT_DIR = CMakeFiles\IRIS_FODIS.dir
  OBJECT_FILE_DIR = CMakeFiles\IRIS_FODIS.dir\Source\FS
  TARGET_COMPILE_PDB = CMakeFiles\IRIS_FODIS.dir\
  TARGET_PDB = IRIS_FODIS.pdb

build CMakeFiles\IRIS_FODIS.dir\Source\FS\DataFileProcessor.cpp.obj: CXX_COMPILER__IRIS_FODIS_Debug E$:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\FS\DataFileProcessor.cpp || cmake_object_order_depends_target_IRIS_FODIS
  DEFINES = -DQT_CORE_LIB -DQT_SERIALPORT_LIB
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Zi /Ob0 /Od /RTC1 -std:c++14
  INCLUDES = -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\out\build\x64-Debug\IRIS_FODIS_autogen\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\FS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\OSIF\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\ZZ_SDK -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Settings -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\GPS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Logger -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Capture -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Calibration -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtCore -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\.\mkspecs\win32-msvc -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtSerialPort
  OBJECT_DIR = CMakeFiles\IRIS_FODIS.dir
  OBJECT_FILE_DIR = CMakeFiles\IRIS_FODIS.dir\Source\FS
  TARGET_COMPILE_PDB = CMakeFiles\IRIS_FODIS.dir\
  TARGET_PDB = IRIS_FODIS.pdb

build CMakeFiles\IRIS_FODIS.dir\Source\FS\OControl_USB.cpp.obj: CXX_COMPILER__IRIS_FODIS_Debug E$:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\FS\OControl_USB.cpp || cmake_object_order_depends_target_IRIS_FODIS
  DEFINES = -DQT_CORE_LIB -DQT_SERIALPORT_LIB
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Zi /Ob0 /Od /RTC1 -std:c++14
  INCLUDES = -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\out\build\x64-Debug\IRIS_FODIS_autogen\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\FS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\OSIF\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\ZZ_SDK -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Settings -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\GPS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Logger -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Capture -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Calibration -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtCore -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\.\mkspecs\win32-msvc -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtSerialPort
  OBJECT_DIR = CMakeFiles\IRIS_FODIS.dir
  OBJECT_FILE_DIR = CMakeFiles\IRIS_FODIS.dir\Source\FS
  TARGET_COMPILE_PDB = CMakeFiles\IRIS_FODIS.dir\
  TARGET_PDB = IRIS_FODIS.pdb

build CMakeFiles\IRIS_FODIS.dir\Source\GPS\BD357Ctrl.cpp.obj: CXX_COMPILER__IRIS_FODIS_Debug E$:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\GPS\BD357Ctrl.cpp || cmake_object_order_depends_target_IRIS_FODIS
  DEFINES = -DQT_CORE_LIB -DQT_SERIALPORT_LIB
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Zi /Ob0 /Od /RTC1 -std:c++14
  INCLUDES = -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\out\build\x64-Debug\IRIS_FODIS_autogen\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\FS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\OSIF\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\ZZ_SDK -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Settings -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\GPS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Logger -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Capture -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Calibration -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtCore -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\.\mkspecs\win32-msvc -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtSerialPort
  OBJECT_DIR = CMakeFiles\IRIS_FODIS.dir
  OBJECT_FILE_DIR = CMakeFiles\IRIS_FODIS.dir\Source\GPS
  TARGET_COMPILE_PDB = CMakeFiles\IRIS_FODIS.dir\
  TARGET_PDB = IRIS_FODIS.pdb

build CMakeFiles\IRIS_FODIS.dir\Source\GPS\lwgps.cpp.obj: CXX_COMPILER__IRIS_FODIS_Debug E$:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\GPS\lwgps.cpp || cmake_object_order_depends_target_IRIS_FODIS
  DEFINES = -DQT_CORE_LIB -DQT_SERIALPORT_LIB
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Zi /Ob0 /Od /RTC1 -std:c++14
  INCLUDES = -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\out\build\x64-Debug\IRIS_FODIS_autogen\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\FS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\OSIF\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\ZZ_SDK -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Settings -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\GPS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Logger -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Capture -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Calibration -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtCore -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\.\mkspecs\win32-msvc -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtSerialPort
  OBJECT_DIR = CMakeFiles\IRIS_FODIS.dir
  OBJECT_FILE_DIR = CMakeFiles\IRIS_FODIS.dir\Source\GPS
  TARGET_COMPILE_PDB = CMakeFiles\IRIS_FODIS.dir\
  TARGET_PDB = IRIS_FODIS.pdb

build CMakeFiles\IRIS_FODIS.dir\Source\GPS\lwrb.cpp.obj: CXX_COMPILER__IRIS_FODIS_Debug E$:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\GPS\lwrb.cpp || cmake_object_order_depends_target_IRIS_FODIS
  DEFINES = -DQT_CORE_LIB -DQT_SERIALPORT_LIB
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Zi /Ob0 /Od /RTC1 -std:c++14
  INCLUDES = -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\out\build\x64-Debug\IRIS_FODIS_autogen\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\FS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\OSIF\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\ZZ_SDK -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Settings -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\GPS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Logger -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Capture -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Calibration -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtCore -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\.\mkspecs\win32-msvc -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtSerialPort
  OBJECT_DIR = CMakeFiles\IRIS_FODIS.dir
  OBJECT_FILE_DIR = CMakeFiles\IRIS_FODIS.dir\Source\GPS
  TARGET_COMPILE_PDB = CMakeFiles\IRIS_FODIS.dir\
  TARGET_PDB = IRIS_FODIS.pdb

build CMakeFiles\IRIS_FODIS.dir\Source\Settings\SysConfigger.cpp.obj: CXX_COMPILER__IRIS_FODIS_Debug E$:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Settings\SysConfigger.cpp || cmake_object_order_depends_target_IRIS_FODIS
  DEFINES = -DQT_CORE_LIB -DQT_SERIALPORT_LIB
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Zi /Ob0 /Od /RTC1 -std:c++14
  INCLUDES = -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\out\build\x64-Debug\IRIS_FODIS_autogen\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\FS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\OSIF\include -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\ZZ_SDK -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Settings -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\GPS -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Logger -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Capture -IE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\Source\Calibration -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtCore -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\.\mkspecs\win32-msvc -IC:\Qt\Qt5.9.0\5.9\msvc2017_64\include\QtSerialPort
  OBJECT_DIR = CMakeFiles\IRIS_FODIS.dir
  OBJECT_FILE_DIR = CMakeFiles\IRIS_FODIS.dir\Source\Settings
  TARGET_COMPILE_PDB = CMakeFiles\IRIS_FODIS.dir\
  TARGET_PDB = IRIS_FODIS.pdb


# =============================================================================
# Link build statements for EXECUTABLE target IRIS_FODIS


#############################################
# Link the executable IRIS_FODIS.exe

build IRIS_FODIS.exe: CXX_EXECUTABLE_LINKER__IRIS_FODIS_Debug CMakeFiles\IRIS_FODIS.dir\IRIS_FODIS_autogen\mocs_compilation.cpp.obj CMakeFiles\IRIS_FODIS.dir\main.cpp.obj CMakeFiles\IRIS_FODIS.dir\Source\Calibration\MakeDarkCurrentTable.cpp.obj CMakeFiles\IRIS_FODIS.dir\Source\Capture\AbsFSController.cpp.obj CMakeFiles\IRIS_FODIS.dir\Source\Capture\MainGrabber.cpp.obj CMakeFiles\IRIS_FODIS.dir\Source\FS\ATPControl_Serial_QT.cpp.obj CMakeFiles\IRIS_FODIS.dir\Source\FS\DataFileProcessor.cpp.obj CMakeFiles\IRIS_FODIS.dir\Source\FS\OControl_USB.cpp.obj CMakeFiles\IRIS_FODIS.dir\Source\GPS\BD357Ctrl.cpp.obj CMakeFiles\IRIS_FODIS.dir\Source\GPS\lwgps.cpp.obj CMakeFiles\IRIS_FODIS.dir\Source\GPS\lwrb.cpp.obj CMakeFiles\IRIS_FODIS.dir\Source\Settings\SysConfigger.cpp.obj | C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\Qt5SerialPortd.lib C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\Qt5Cored.lib || IRIS_FODIS_autogen
  FLAGS = /DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Zi /Ob0 /Od /RTC1
  LINK_FLAGS = /machine:x64 /debug /INCREMENTAL /subsystem:console
  LINK_LIBRARIES = SeaBreeze.lib  C:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\Qt5SerialPortd.lib  C:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\Qt5Cored.lib  kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib
  LINK_PATH = -LIBPATH:E:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\source\OSIF\DLib   -LIBPATH:\home\pi\SeaBrease\lib
  OBJECT_DIR = CMakeFiles\IRIS_FODIS.dir
  POST_BUILD = cd .
  PRE_LINK = cd .
  TARGET_COMPILE_PDB = CMakeFiles\IRIS_FODIS.dir\
  TARGET_FILE = IRIS_FODIS.exe
  TARGET_IMPLIB = IRIS_FODIS.lib
  TARGET_PDB = IRIS_FODIS.pdb


#############################################
# Utility command for edit_cache

build CMakeFiles\edit_cache.util: CUSTOM_COMMAND
  COMMAND = cmd.exe /C "cd /D E:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\out\build\x64-Debug && "C:\Program Files\Microsoft Visual Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\bin\cmake.exe" -E echo "No interactive CMake dialog available.""
  DESC = No interactive CMake dialog available...
  restat = 1

build edit_cache: phony CMakeFiles\edit_cache.util


#############################################
# Utility command for rebuild_cache

build CMakeFiles\rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = cmd.exe /C "cd /D E:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\out\build\x64-Debug && "C:\Program Files\Microsoft Visual Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\bin\cmake.exe" --regenerate-during-build -SE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS -BE:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\out\build\x64-Debug"
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build rebuild_cache: phony CMakeFiles\rebuild_cache.util


#############################################
# Utility command for IRIS_FODIS_autogen

build IRIS_FODIS_autogen: phony CMakeFiles\IRIS_FODIS_autogen IRIS_FODIS_autogen\mocs_compilation.cpp


#############################################
# Custom command for CMakeFiles\IRIS_FODIS_autogen

build CMakeFiles\IRIS_FODIS_autogen IRIS_FODIS_autogen\mocs_compilation.cpp | ${cmake_ninja_workdir}CMakeFiles\IRIS_FODIS_autogen ${cmake_ninja_workdir}IRIS_FODIS_autogen\mocs_compilation.cpp: CUSTOM_COMMAND
  COMMAND = cmd.exe /C "cd /D E:\WorkSpace\git\IRIS_FODIS\IRIS_FODIS\out\build\x64-Debug && "C:\Program Files\Microsoft Visual Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\bin\cmake.exe" -E cmake_autogen E:/WorkSpace/git/IRIS_FODIS/IRIS_FODIS/out/build/x64-Debug/CMakeFiles/IRIS_FODIS_autogen.dir/AutogenInfo.json Debug"
  DESC = Automatic MOC and UIC for target IRIS_FODIS
  restat = 1

# =============================================================================
# Target aliases.

build IRIS_FODIS: phony IRIS_FODIS.exe

# =============================================================================
# Folder targets.

# =============================================================================

#############################################
# Folder: E:/WorkSpace/git/IRIS_FODIS/IRIS_FODIS/out/build/x64-Debug

build all: phony IRIS_FODIS.exe

# =============================================================================
# Built-in targets


#############################################
# Re-run CMake if any of its inputs changed.

build build.ninja: RERUN_CMAKE | ..\..\..\CMakeLists.txt C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\CMakeCInformation.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\CMakeCXXInformation.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\CMakeCommonLanguageInclude.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\CMakeGenericSystem.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\CMakeInitializeConfigs.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\CMakeLanguageInformation.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\CMakeParseArguments.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\CMakeRCInformation.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\CMakeSystemSpecificInformation.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\CMakeSystemSpecificInitialize.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\Compiler\CMakeCommonCompilerMacros.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\Compiler\MSVC-C.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\Compiler\MSVC-CXX.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\Platform\Windows-MSVC-C.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\Platform\Windows-MSVC-CXX.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\Platform\Windows-MSVC.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\Platform\Windows.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\Platform\WindowsPaths.cmake C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\cmake\Qt5Core\Qt5CoreConfig.cmake C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\cmake\Qt5Core\Qt5CoreConfigExtras.cmake C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\cmake\Qt5Core\Qt5CoreConfigExtrasMkspecDir.cmake C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\cmake\Qt5Core\Qt5CoreConfigVersion.cmake C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\cmake\Qt5Core\Qt5CoreMacros.cmake C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\cmake\Qt5SerialPort\Qt5SerialPortConfig.cmake C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\cmake\Qt5SerialPort\Qt5SerialPortConfigVersion.cmake C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\cmake\Qt5\Qt5Config.cmake C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\cmake\Qt5\Qt5ConfigVersion.cmake C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\cmake\Qt5\Qt5ModuleLocation.cmake CMakeCache.txt CMakeFiles\3.21.21080301-MSVC_2\CMakeCCompiler.cmake CMakeFiles\3.21.21080301-MSVC_2\CMakeCXXCompiler.cmake CMakeFiles\3.21.21080301-MSVC_2\CMakeRCCompiler.cmake CMakeFiles\3.21.21080301-MSVC_2\CMakeSystem.cmake
  pool = console


#############################################
# A missing CMake input file is not an error.

build ..\..\..\CMakeLists.txt C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\CMakeCInformation.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\CMakeCXXInformation.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\CMakeCommonLanguageInclude.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\CMakeGenericSystem.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\CMakeInitializeConfigs.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\CMakeLanguageInformation.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\CMakeParseArguments.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\CMakeRCInformation.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\CMakeSystemSpecificInformation.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\CMakeSystemSpecificInitialize.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\Compiler\CMakeCommonCompilerMacros.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\Compiler\MSVC-C.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\Compiler\MSVC-CXX.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\Platform\Windows-MSVC-C.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\Platform\Windows-MSVC-CXX.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\Platform\Windows-MSVC.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\Platform\Windows.cmake C$:\Program$ Files\Microsoft$ Visual$ Studio\2022\Professional\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\share\cmake-3.21\Modules\Platform\WindowsPaths.cmake C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\cmake\Qt5Core\Qt5CoreConfig.cmake C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\cmake\Qt5Core\Qt5CoreConfigExtras.cmake C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\cmake\Qt5Core\Qt5CoreConfigExtrasMkspecDir.cmake C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\cmake\Qt5Core\Qt5CoreConfigVersion.cmake C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\cmake\Qt5Core\Qt5CoreMacros.cmake C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\cmake\Qt5SerialPort\Qt5SerialPortConfig.cmake C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\cmake\Qt5SerialPort\Qt5SerialPortConfigVersion.cmake C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\cmake\Qt5\Qt5Config.cmake C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\cmake\Qt5\Qt5ConfigVersion.cmake C$:\Qt\Qt5.9.0\5.9\msvc2017_64\lib\cmake\Qt5\Qt5ModuleLocation.cmake CMakeCache.txt CMakeFiles\3.21.21080301-MSVC_2\CMakeCCompiler.cmake CMakeFiles\3.21.21080301-MSVC_2\CMakeCXXCompiler.cmake CMakeFiles\3.21.21080301-MSVC_2\CMakeRCCompiler.cmake CMakeFiles\3.21.21080301-MSVC_2\CMakeSystem.cmake: phony


#############################################
# Clean additional files.

build CMakeFiles\clean.additional: CLEAN_ADDITIONAL
  CONFIG = Debug


#############################################
# Clean all the built files.

build clean: CLEAN CMakeFiles\clean.additional


#############################################
# Print all primary targets available.

build help: HELP


#############################################
# Make the all target the default.

default all
